//Fichier include des textures de Mercenaires destiné à la génération automatisée d'un maximum de textures
	#macro Pig_5colors_Wrinkles( multiplicateur, Col1, Col2, Col3, Col4, Col5)
		pigment{wrinkles color_map{ 
                                   [0.0 Col3*multiplicateur]  
                                   [0.125 Col2*multiplicateur]
                                   [0.25 Col1*multiplicateur] 
                                   [0.375 Col2*multiplicateur]
                                   [0.5 Col3*multiplicateur]
                                   [0.675 Col4*multiplicateur]
                                   [0.75 Col5*multiplicateur] 
                                   [0.875 Col4*multiplicateur]
                                   [1.0 Col3*multiplicateur]
                                  }
                    scale 0.005
        }
	#end


//Browns
	#macro T_5var_Wrinkles( multiplicateur, Col1, Col2, Col3, Col4, Col5)
		texture{pigment{wrinkles color_map{ 
                                       [0.0 Col3*multiplicateur]  
                                       [0.125 Col2*multiplicateur]
                                       [0.25 Col1*multiplicateur] 
                                       [0.375 Col2*multiplicateur]
                                       [0.5 Col3*multiplicateur]
                                       [0.675 Col4*multiplicateur]
                                       [0.75 Col5*multiplicateur] 
                                       [0.875 Col4*multiplicateur]
                                       [1.0 Col3*multiplicateur]
                                      }
                    scale 0.005
                    }
           }
	#end
	//Definitions des sols marron avec les macros                    
	#declare T_brown1 = T_5var_Wrinkles(1   ,brown1_srgb, brown2_srgb, brown3_srgb, brown4_srgb, brown5_srgb)
	#declare T_brown2 = T_5var_Wrinkles(1.12  ,brown1_srgb, brown2_srgb, brown3_srgb, brown4_srgb, brown5_srgb)
	#declare T_brown3 = T_5var_Wrinkles(1.225 ,brown1_srgb, brown2_srgb, brown3_srgb, brown4_srgb, brown5_srgb)
	#declare T_brown4 = T_5var_Wrinkles(1.345 ,brown1_srgb, brown2_srgb, brown3_srgb ,brown4_srgb, brown5_srgb) 
	
	//Ici, ce sont des pigments
	#declare Pig_brown2 = Pig_5colors_Wrinkles(1.12  ,brown1_srgb, brown2_srgb, brown3_srgb, brown4_srgb, brown5_srgb)
//-----------------------------------
	
//Gray Rocks textures
	#declare T_rocks2 = texture{
							pigment{ srgb 0.6}
							normal { agate bump_size 0.75 scale 0.2}
							finish{specular 0.1 roughness 0.1 }
						   }
	#declare T_OldRocks2 = T_5var_Wrinkles(<1.3, 1.15, 1>, color srgb 0.8, color srgb 0.7, color srgb 0.6, color srgb 0.5, color srgb 0.4)

	#declare T_rocksA2 = texture{ T_OldRocks2
									  finish{specular 0.2 diffuse 0.4 ambient 0.24} 
									  normal{granite 0.6 scale 0.1}
									 }
						   
//-----------------------------------
	#macro T_3var_Wrinkles(multiplicateur, Col1,Col2,Col3)
		texture{pigment{wrinkles color_map{ 
                                       [0.0 Col2*multiplicateur]  
                                       [0.25 Col3*multiplicateur] 
                                       [0.5 Col2*multiplicateur]
                                       [0.75 Col1*multiplicateur] 
                                       [1.0 Col2*multiplicateur]
                                      }
                    scale 0.005
                    }
           }
	#end
	#macro Pig_3colors_Wrinkles(multiplicateur, Col1,Col2,Col3)
		pigment{wrinkles color_map{ 
                                   [0.0 Col2*multiplicateur]  
                                   [0.25 Col3*multiplicateur] 
                                   [0.5 Col2*multiplicateur]
                                   [0.75 Col1*multiplicateur] 
                                   [1.0 Col2*multiplicateur]
                                  }
                    scale 0.005
         }
	#end
	//Grass textures
	#declare T_grass_bright = T_3var_Wrinkles(1.4, GrassColBright, GrassColMedium, GrassColDark)
							  
	#declare T_grass_medium = T_3var_Wrinkles(1.2, GrassColBright, GrassColMedium, GrassColDark)
	#declare T_grass_dark = T_3var_Wrinkles(1, GrassColBright, GrassColMedium, GrassColDark)
	
	#declare Pig_mediumGrass = Pig_3colors_Wrinkles(1.2, GrassColBright, GrassColMedium, GrassColDark)
	
#declare T_brightWater = T_5var_Wrinkles( 1.6, blue1, blue2, blue3, blue2, blue1)                                                                                                                           
#declare T_mediumWater = T_5var_Wrinkles( 1.3, blue1, blue2, blue3, blue2, blue1)
#declare T_darkWater = T_5var_Wrinkles( 1, blue1, blue2, blue3, blue2, blue1)
#declare T_darkestWater = T_5var_Wrinkles( 0.8, blue1, blue2, blue3, blue2, blue1)

//------------------------------------
#declare T_pathBright = texture{pigment{pathBrightCol} normal{agate 0.4 scale 0.1} }
#declare T_pathMedium = texture{pigment{pathMediumCol} normal{agate 0.4 scale 0.1} }
#declare T_pathDark   = texture{pigment{pathDarkCol} normal{agate 0.4 scale 0.1} }

//------------------------------------
//Sand texture
#declare T_brightSand = texture {
									pigment {color srgb < 1, 0.9, 0.65> * 1.3 }
									normal {granite 0.2 scale 0.02}
									finish {brilliance 1.6 /* 1.6 ol value*/ specular 0.3 /* 0.3 old value */	}
								  }
#declare T_mediumSand = texture {
									pigment {color srgb < 1, 0.9, 0.65> * 1.15 }
									normal {granite 0.2 scale 0.02}
									finish {brilliance 1.6 /* 1.6 ol value*/ specular 0.3 /* 0.3 old value */	}
								  }
#declare T_darkSand = texture {
									pigment {color srgb < 1, 0.9, 0.65> }
									normal {granite 0.2 scale 0.02}
									finish {brilliance 1.6 /* 1.6 ol value*/ specular 0.3 /* 0.3 old value */	}
								  }

//--------------------------------------
//Texture of slopes version 1
//T scène landscape
#declare T_roche1=texture {pigment {agate color_map {
                                                     [0.2 color srgb <0.55, 0.50, 0.50> ]
                                                     [0.6 color srgb <0.75, 0.50, 0.60> ]
                                                     [1.0 color srgb <0.70, 0.60, 0.60> ]
                                                    }
                                        scale 0.1 warp { turbulence 0.5 }
                                   }
                            finish {specular 0.2 diffuse 0.4 ambient 0.24}
                            normal {granite 0.6 scale 0.5}
                           }
                           
//---------------------------------------
//Texture of concrete with steep transition grayscale image for alpha channels
#declare T_concrete = texture{
							  pigment{ concreteAverageCol } 
							  normal{ agate bump_size 0.5 } 
							  scale 0.1
							 }        
							 
//Custom brick texture
#macro MakeBrickWall( ChosenSeed , StartVect, EndVect)
	#declare Grays = array[9] { color srgb 0.1, color srgb 0.2, color srgb 0.28, color srgb 0.16, 
							color srgb 0.18, color srgb 0.26, color srgb 0.3, color srgb 0.125, color srgb <1, 0, 0> }
	#declare MortarColor = color srgb 0.45;
	#declare MortarWidth = 0.15;
	#declare SingleBrick = box{ <-1 + MortarWidth / 2, 0 + MortarWidth / 2, 0 >, < 1 - MortarWidth / 2, 1 - MortarWidth / 2, 2 > normal{ bumps 1 scale 0.1} finish{ specular 0.05 roughness 0.01} }

	box{ < StartVect.x - 2, EndVect.y - 1, 0.1 >,< EndVect.x + 2, StartVect.y + 2, 3> pigment{ MortarColor } finish{ specular 0.05 roughness 0.01 } }
	#declare ColorSeed = seed(ChosenSeed);

	#local StartOffset = 0;
	#for( Y_Pos, StartVect.y, EndVect.y, -1 )
		#for( X_Pos, StartVect.x, EndVect.x, 2 )
			#local BrickColorIndex = rand(ColorSeed) * 8;
			object{ SingleBrick translate < X_Pos + StartOffset, Y_Pos, 0> pigment{ Grays[BrickColorIndex] } }
			#if( StartOffset = -1 & X_Pos = -3 )
				object{ SingleBrick translate < 4, Y_Pos, 0> pigment{ Grays[BrickColorIndex] } }
			#end
		#end
		#if( StartOffset = 0 )
			#local StartOffset = -1;
		#elseif( StartOffset = -1 )
			#local StartOffset = 0;
		#else
			#error "Bad value of offset"
		#end
	#end
#end